Skip to main content
GET
/
orgs
/
{org_id}
/
contacts
Get Contacts
curl --request GET \
  --url https://api.useinvent.com/orgs/{org_id}/contacts \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "name": "<string>",
    "blocked": true,
    "unsubscribed": true,
    "is_admin": true,
    "channels": [
      {
        "id": "<string>",
        "type": "internal",
        "user_id": "<string>",
        "avatar": "<string>",
        "name": "<string>",
        "username": "<string>",
        "email": "<string>",
        "phone": "<string>",
        "country": "<string>",
        "agent": "<string>",
        "ip": "<string>",
        "language": "<string>",
        "platform_data": {},
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "link": "<string>"
      }
    ],
    "segments": [
      {
        "id": "<string>",
        "name": "<string>",
        "color": "red",
        "contacts_count": 123,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "blocked_at": "2023-11-07T05:31:56Z",
    "unsubscribed_at": "2023-11-07T05:31:56Z",
    "unsubscribe_reason": "<string>",
    "unsubscribe_feedback": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

org_id
string
required

The ID of the org

Query Parameters

Search contacts by name

unsubscribed
boolean

Whether the contact is unsubscribed

user_id
string

Search contacts by user ID match

name
string

Search contacts by name match

username
string

Search contacts by username match

email
string<email>

Search contacts by email match

segment_id
string

Search contacts by segment ID match

exclude_admins
boolean

Exclude admin contacts

exclude_board_id
string

Exclude contacts that are already on this board

status
enum<string>

Filter contacts by subscription status

Available options:
ALL,
SUBSCRIBED,
UNSUBSCRIBED,
BLOCKED
page
number

Page number

take
number

Number of items to take

next
string

Next page token (Only used on special endpoints)

Response

200 - application/json
id
string
required
name
string | null
required
blocked
boolean
required
unsubscribed
boolean
required
is_admin
boolean
required
channels
object[]
required
segments
object[]
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
blocked_at
string<date-time>
unsubscribed_at
string<date-time>
unsubscribe_reason
string
unsubscribe_feedback
string